org.apache.pdfbox.pdmodel.interactive.viewerpreferences

## Enum PDViewerPreferences.PRINT_SCALING

- java.lang.Object
- - java.lang.Enum<PDViewerPreferences.PRINT_SCALING>
  - - org.apache.pdfbox.pdmodel.interactive.viewerpreferences.PDViewerPreferences.PRINT_SCALING

All Implemented Interfaces:
  Serializable, Comparable<PDViewerPreferences.PRINT_SCALING>

Enclosing class:
  PDViewerPreferences

    public static enum PDViewerPreferences.PRINT_SCALING
    extends Enum<PDViewerPreferences.PRINT_SCALING>

Enumeration containing all valid values for printscaling.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AppDefault` use app default.
`None` no scaling.

### Method Summary

All Methods Static Methods Concrete Methods
`static PDViewerPreferences.PRINT_SCALING` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDViewerPreferences.PRINT_SCALING[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final PDViewerPreferences.PRINT_SCALING None

no scaling.

#### AppDefault

    public static final PDViewerPreferences.PRINT_SCALING AppDefault

use app default.

### Method Detail

#### values

    public static PDViewerPreferences.PRINT_SCALING[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDViewerPreferences.PRINT_SCALING c : PDViewerPreferences.PRINT_SCALING.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDViewerPreferences.PRINT_SCALING valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null